{lib, ...}: let
  inherit (lib.marleyos) enabled;
in {
  marleyos = {
    bundles.desktop = enabled;

    wayland.hyprland = {
      enable = true;
      monitors = {
        "DP-1" = "desc:Apple Computer Inc LED Cinema 2A91946Z0K0, 1920x1200, 0x0, 1";
        "HDMI-A-1" = "desc:Lenovo Group Limited LT2252p Wide 6V8ACF74, 1680x1050, 1920x0, 1";
      };
      mainMonitor = "DP-1";
    };
  };

  home.stateVersion = "24.05";
}
