{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.appearance.gtk;
in {
  options.marleyos.appearance.gtk.enable = lib.mkEnableOption "gtk";

  config = lib.mkIf cfg.enable {
    home.pointerCursor.gtk.enable = true;

    gtk = {
      enable = true;

      rose-pine.enable = lib.mkIf config.rose-pine.enable true;

      gtk2.configLocation = "${config.xdg.configHome}/gtk-2.0/gtkrc";
    };
  };
}
