{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.starship;
in {
  options.marleyos.programs.starship.enable = lib.mkEnableOption "starship";

  imports = [
    ./nerd-font-symbols.nix
    ./rose-pine.nix
  ];

  config = lib.mkIf cfg.enable {
    programs.starship = {
      enable = true;

      enableTransience = true;

      # Using my own version because I made so many fixes it wasn't worth...
      rose-pine.enable = false;
    };
  };
}
