{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.gui;

  inherit (lib.marleyos) enabled;
in {
  options.marleyos.programs.gui.enable = lib.mkEnableOption "gui";

  config = lib.mkIf cfg.enable {
    marleyos.programs = {
      calibre = enabled;
      floorp = enabled;
      pidgin = enabled;
      thunderbird = enabled;
      phpstorm = enabled;
      rofi = enabled;
      vesktop = enabled;
      wezterm = enabled;
      zathura = enabled;
    };
  };
}
