{
  lib,
  config,
  pkgs,
  ...
}: let
  cfg = config.marleyos.services.clipboard;
in {
  options.marleyos.services.clipboard.enable = lib.mkEnableOption "clipboard";

  config = lib.mkIf cfg.enable {
    home.packages = with pkgs; [
      clipboard-jh
    ];

    home.sessionVariables = {
      CLIPBOARD_THEME = "ansi";
    };
  };
}
