{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.xorg.xfce;
in {
  options.marleyos.xorg.xfce.enable = lib.mkEnableOption "xfce";

  config = lib.mkIf cfg.enable {
    services.xserver = {
      enable = true;

      desktopManager.xfce = {
        enable = true;
      };
    };
  };
}
