{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.programs.wofi;
in {
  options.marleyos.programs.wofi.enable = lib.mkEnableOption "wofi";

  config = lib.mkIf cfg.enable {
    marleyos.apps.launcher = {
      inherit (config.programs.wofi) package;
      command = "--show drun";
    };

    programs.wofi = {
      enable = true;
    };
  };
}
