{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.appearance.base;
in {
  options.marleyos.appearance.base.enable = lib.mkEnableOption "base";

  config = lib.mkIf cfg.enable {
    rose-pine = {
      enable = true;
      flavor = "main";
    };
  };
}
