{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.appearance.console;
in {
  options.marleyos.appearance.console.enable = lib.mkEnableOption "console";

  config = lib.mkIf cfg.enable {
    console.rose-pine.enable = lib.mkIf config.rose-pine.enable true;
  };
}
