{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.services.sddm;
in {
  options.marleyos.services.sddm.enable = lib.mkEnableOption "sddm";

  config = lib.mkIf cfg.enable {
    services.displayManager.sddm = {
      enable = true;
    };
  };
}
