{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.wayland.hyprland;
in {
  options.marleyos.wayland.hyprland.enable = lib.mkEnableOption "hyprland";

  config = lib.mkIf cfg.enable {
    marleyos.programs.hyprlock.enable = true;

    programs.hyprland = {
      enable = true;
      withUWSM = false;
    };
  };
}
